"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _routes = require("./utils/routes");
var routes = (0, _routes.prepareRoutes)({
  integrations: '/:appId/console/integrations',
  integration: '/:appId/console/integrations/:name',
  integrationParamDictionary: '/api/node-server/manage/app/:appId/integration/block/:name/param-dictionary/:dictionary'
});
var _default = function _default(req) {
  return {
    getIntegrations: function getIntegrations(appId) {
      return req.get(routes.integrations(appId));
    },
    saveIntegration: function saveIntegration(appId, configData) {
      return req.post(routes.integrations(appId), configData);
    },
    updateIntegration: function updateIntegration(appId, name, configData) {
      return req.put(routes.integration(appId, name), configData);
    },
    deleteIntegration: function deleteIntegration(appId, name) {
      return req["delete"](routes.integration(appId, name));
    },
    getParamDictionary: function getParamDictionary(appId, name, dictionary, payload) {
      return req.post(routes.integrationParamDictionary(appId, name, dictionary), payload);
    }
  };
};
exports["default"] = _default;