"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _routes = require("./utils/routes");
var routes = (0, _routes.prepareRoutes)({
  integrationConnections: '/api/node-server/manage/app/:appId/integration/connections',
  integrationConnectionsById: '/api/node-server/manage/app/:appId/integration/connections/:connectionId',
  integrationConnectionName: '/api/node-server/manage/app/:appId/integration/connections/:connectionId/name',
  integrationConnectionsUsages: '/api/node-server/manage/app/:appId/integration/connections/usages',
  integrationConnectionURL: '/api/node-server/manage/app/:appId/integration/connection/oauth/url',
  integrationConnectionToken: '/api/node-server/manage/app/:appId/integration/connection/:connectionId/token'
});
var _default = function _default(req) {
  return {
    getAllIntegrationConnections: function getAllIntegrationConnections(appId) {
      return req.get(routes.integrationConnections(appId));
    },
    getIntegrationConnectionAccessToken: function getIntegrationConnectionAccessToken(appId, connectionId) {
      return req.get(routes.integrationConnectionToken(appId, connectionId));
    },
    deleteIntegrationConnectionById: function deleteIntegrationConnectionById(appId, connectionId) {
      return req["delete"](routes.integrationConnectionsById(appId, connectionId));
    },
    updateIntegrationConnectionName: function updateIntegrationConnectionName(appId, connectionId, updatedName) {
      return req.put(routes.integrationConnectionName(appId, connectionId), {
        updatedName: updatedName
      });
    },
    getConnectionsUsages: function getConnectionsUsages(appId) {
      return req.get(routes.integrationConnectionsUsages(appId));
    },
    getConnectionURL: function getConnectionURL(_ref) {
      var appId = _ref.appId,
        serviceName = _ref.serviceName,
        integrationName = _ref.integrationName,
        serviceId = _ref.serviceId;
      return req.get(routes.integrationConnectionURL(appId)).query({
        serviceName: serviceName,
        integrationName: integrationName,
        serviceId: serviceId
      });
    }
  };
};
exports["default"] = _default;